function detw = mcxdetweight(detp,prop)
%MCXDETWEIGHT Summary of this function goes here
%   Detailed explanation goes here

    medianum=size(prop,1);
    
    detp=double(detp'); % inverse
    
    detw = ones(size(detp(:,1)));
    for i=1:medianum-1
        detw=detw.*exp(-prop(i+1,1)*detp(:,i+2));
    end
end